# ConnectionAcceptStruct Struct Reference

Store Accepted Connection. More...

`#include <NetworkTypes.h>`

List of all members.

## Public Attributes

unsigned char | typeId
unsigned short | remotePort
PlayerID | externalID
PlayerIndex | playerIndex

## Detailed Description

Store Accepted Connection.

Handle active connection.

## Member Data Documentation

PlayerID ConnectionAcceptStruct::externalID

| We tell the remote system its own IP / port this way

PlayerIndex ConnectionAcceptStruct::playerIndex

| Index of the player

unsigned short ConnectionAcceptStruct::remotePort

| peer port

unsigned char ConnectionAcceptStruct::typeId

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/NetworkTypes.h